Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232585 - Review Request: telescope_server - Opensource Telescope control servers to interface with stellarium
Summary: Review Request: telescope_server - Opensource Telescope control servers to in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 08:34 UTC by Jef Spaleta
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-30 03:42:45 UTC
kevin: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Jef Spaleta 2007-03-16 08:34:57 UTC
Spec URL: http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telescope_server/telescope-server.spec
SRPM URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telescope_server/telescope_server-0-1.0.20070315.src.rpm
Description:
These servers provide remote telescope control of some popular telescopes.
These servers run stand-alone, but are designed to interface with stellarium.

Comment 1 Kevin Fenzi 2007-03-20 05:31:14 UTC
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
svn checkout diff matches.
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. You should not use a _ in the name... from the PackageNamingGuidelines:
"When naming packages for Fedora, the maintainer should use the dash '-' as the
delimiter for name parts. The maintainer should NOT use an underscore '_',
a plus '+', or a period '.' as a delimiter." There are some exceptions after that,
do you think this meets one of those? I think it would be nice to use a -

2. The included source seems to already contain the compiled binaries, so the
build says: "make: Nothing to be done for `all'." and uses the included binaries.
Please make a clean source checkout and make sure there are no included binaries.

3. rpmlint says:
E: telescope-server-debuginfo empty-debuginfo-package

Looks like the Makefile strips the binaries. Can you patch it not to do so?
LDFLAGS = -s

Also, can you confirm it's using RPM_OPT_FLAGS for compiling?

4. Is the versioning right here?
Shouldn't it be:
0-0.1.20070315svn.%{?dist}
Then the next version for any package change would be:
0-0.2.20070315svn.%{?dist}


Comment 2 Jef Spaleta 2007-03-20 05:39:05 UTC
1) would you prefer telescope-server  or just telescopeserver?

2) I'm an idiot

3) I'll poke at the Makefile
   I'll see if I can patch the makefile to use $RPM_OPT_FLAGS

4) yeah i think i did goof up the release numbering. First time I had to do an
svn pull.

-jef

Comment 3 Jef Spaleta 2007-03-20 07:44:53 UTC
Does this fix all the issues? I think its pulling in the RPM_OPT_FLAGS correctly
now, and blanked the LDFLAGS. I've addressed the naming and release numbering.
look in  http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telescope-server/
for the mock build

SPEC:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telescope-server/telescope-server.spec
SRPM:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/telescope-server/telescope-server-0-0.1.20070315.fc7.src.rpm

-jef


Comment 4 Kevin Fenzi 2007-03-20 23:08:52 UTC
(In reply to comment #3): 

Yeah, that appears to solve all the issues I was seeing. 
I don't see any further blockers, so this package is APPROVED. 
Don't forget to close this RAWHIDE once its been imported and built. 

Comment 5 Jef Spaleta 2007-03-22 05:13:52 UTC
New Package CVS Request
=======================
Package Name: telescope-server
Short Description: Opensource Telescope control servers to interface with stellarium
Owners: jspaleta@gmail.com
Branches: devel, FC-6
InitialCC: 

Comment 6 Jens Petersen 2007-03-22 08:13:18 UTC
done

Comment 7 Jochen Schmitt 2007-05-20 17:43:50 UTC
Package Change Request
======================
Package Name: stellarium
Updated Fedora Ownders: Jochen@herr-schmitt.de,kwizart@gmail.com



Comment 8 Kevin Fenzi 2007-05-30 03:33:07 UTC
Shouldn't this review request be closed?

Comment 9 Jef Spaleta 2007-05-30 03:42:45 UTC
You'll see from the bug activity that it was closed... the package change request
from comment 7 re-opened the ticket.  I don't know exactly why a change request
for stellarium was put into the telescope-server review ticket. The request has
been processed... so the bug can be re-closed. Feel free to slap Jochen around
with a wet trout for re-opening a review ticket assigned to you.

-jef


Note You need to log in before you can comment on or make changes to this bug.